/*
 * Created on 2005/01/24
 *
 */
package jnet.application.util;

/**
 * This is a Viewer Utilities interface.
 * 
 * @author Kazuya Sakai
 * @version 1.0
 * @since jdk 1.4.2
 */
public interface ViewerUtilities {
	/**
	 * This is a normal view mode.
	 */
	int NORMAL_VIEW = 0;
	
	/**
	 * This is a rock view mode.
	 * This is to display position absolutely
	 */
	int ROCK_VIEW = 1;
	
	/**
	 * This is a own view mode.
	 * This is to display own terminal and history.
	 * In this mode, center is current own position.
	 */
	int OWN_VIEW = 2;

}
