/*
 * Created on 2005/01/25
 *
 */
package jnet.htk.gui;

import javax.swing.JPanel;

import javax.swing.JDesktopPane;
/**
 * @author Kazuya Sakai
 * @version 1.0
 * @since jdk 1.4.2
 */
public class SimulationTabPanel extends JPanel {
	
	private JDesktopPane jDesktopPane = null;
	private SettingSimulationPanel settingSimulationPanel = null;
	/**
	 * This is the default constructor
	 */
	public SimulationTabPanel() {
		super();
		initialize();
	}
	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private  void initialize() {
		this.setSize(500,300);
		this.add(getJDesktopPane(), null);
	}
	/**
	 * This method initializes jDesktopPane	
	 * 	
	 * @return javax.swing.JDesktopPane	
	 */    
	private JDesktopPane getJDesktopPane() {
		if (jDesktopPane == null) {
			jDesktopPane = new JDesktopPane();
			jDesktopPane.setPreferredSize(new java.awt.Dimension(500,300));
			jDesktopPane.add(getSettingSimulationPanel(), null);
		}
		
		return jDesktopPane;
	}
	/**
	 * This method initializes settingSimulationPanel	
	 * 	
	 * @return jnet.htk.gui.SettingSimulationPanel	
	 */    
	private SettingSimulationPanel getSettingSimulationPanel() {
		if (settingSimulationPanel == null) {
			settingSimulationPanel = new SettingSimulationPanel();
			settingSimulationPanel.setBounds(5, 0, 
											 SettingSimulationPanel.WINDOW_WIDTH,
											 SettingSimulationPanel.WINDOW_HEIGHT);
		}
		return settingSimulationPanel;
	}
   }
