/*
 * Created on 2005/01/30
 *
 */
package test.buff;

import java.util.ArrayList;

import jnet.hiromicam.buff.SecondLevelInfoBuff;
import jnet.hiromicam.msg.AbstractSecondLevelInfo;
import jnet.hiromicam.msg.EmergencyInfo;
import jnet.hiromicam.msg.Msg;

/**
 * @author Kazuya Sakai
 * @version 1.0
 * @since jdk 1.4.2
 */
public class SecondLevelInfoBuffTest {

	public static void main(String[] args) {
		
		int time = 0;
		
		SecondLevelInfoBuff buff = SecondLevelInfoBuff.getInstance();
		
		ArrayList list = new ArrayList();
		list.add("generated22555");
		list.add("generated23655");
		list.add("generated68455");
		
		for (int i = 0; i < 10; i++) {
			
			Msg msg2 = new EmergencyInfo(list,
										 String.valueOf(time),
										 "236554",
										 "25555",
										 "a fire",
										 "a fire accident in Kansai University.");
			
			buff.addSecondLevelInfo((AbstractSecondLevelInfo)msg2);
			time++;
		}
		
		System.out.println(buff.toString());
	}
}
