/*
 * Created on 2005/01/21
 *
 */
package test.msg;

import jnet.hiromicam.msg.FirstLevelInfo;
import jnet.hiromicam.msg.Msg;
import jnet.hiromicam.msg.MsgTypeException;
import jnet.hiromicam.msg.pase.FirstLevelInfoPaser;

/**
 * @author Kazuya Sakai
 * @version 1.0
 * @since jdk 1.4.2
 */
public class FirstLevelInfoPaseTest {
	public static void main(String[] arg) throws MsgTypeException {
		Msg msg = new FirstLevelInfo("0120", "20", "30", "0", "2", "3", "20", "90.2");
		System.out.println(msg.getMsg()); 
		System.out.println(msg.getMsgType());
		System.out.println("-----------------");
		
		byte[] msgByte = msg.getMsg().getBytes();
		String str = new String(msgByte);
		if (str.endsWith("</" + Msg.FIRST_LEVEL_INFO_TAG + ">")) {
			
			FirstLevelInfoPaser pase = new FirstLevelInfoPaser();
			
			System.out.println(pase.paseXML(str).getMsg());
		} else {
			throw new MsgTypeException();
		}
	}
}
