/*
 * Created on 2005/01/22
 *
 */
package test.process;

import jnet.hiromicam.algorithm.event.SimpleSpeedActionAnalyzer;
import jnet.hiromicam.buff.MyTerminal;
import jnet.hiromicam.msg.FirstLevelInfo;

/**
 * @author Kazuya Sakai
 * @version 1.0
 * @since jdk 1.4.2
 */
public class SpeedAnalyzerTest {

	public static void main(String[] args) {
		int time = 0;
		int latitude = 0;
		int longitude = 0;
		double speed = 4;
		
		MyTerminal mt = MyTerminal.getInstance();
		SimpleSpeedActionAnalyzer sa = new SimpleSpeedActionAnalyzer();
		
		for (int i = 0; i < 10; i++) {
			FirstLevelInfo msg = new FirstLevelInfo(String.valueOf(time),
												   String.valueOf(latitude),
												   String.valueOf(longitude),
												   "0", "2", "3",
												   String.valueOf(speed),
												   "90.2");
			
			mt.addFirstLevelInfo(msg);
			
			System.out.println(sa.isAbnormalAction(msg, mt.getFirstLevelInfoLists()));
			
			time++;
			latitude += 10;
			longitude += 10;
			if (Math.random() > 0.5) {
				speed += Math.random();
			} else {
				speed -= Math.random();
			}
			
			if (time == 8) {
				speed = 10;
			}
			
		}
		
//		System.out.println(mt.toString());
		
		
	}
}
