/*
 * Created on 2005/01/25
 *
 */
package jnet.htk.gui;

import javax.swing.JPanel;

import java.awt.GridLayout;
import java.util.ArrayList;
import java.util.StringTokenizer;

import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JTextField;

import jnet.application.gui.Viewer;
import jnet.application.util.ViewerUtilities;
import jnet.htk.sim.FirstLevelInfoSimulator;
/**
 * @author Kazuya Sakai
 * @version 1.0
 * @since jdk 1.4.2
 */
public class SettingSimulationPanel extends JPanel {
	/**
	 * size of window
	 */
	public  static final int WINDOW_HEIGHT = 60;
	
	/**
	 * size of window
	 */
	public  static final int WINDOW_WIDTH = 200;
	
	private String mySrc;
	
	private String targetSrc;
	
	private ArrayList targetSrcList = new ArrayList();
	
	private JButton jButton = null;
	private JButton jButton1 = null;
	private JLabel jLabel = null;
	private JLabel jLabel1 = null;
	private JTextField jTextField = null;
	private JTextField jTextField1 = null;
	/**
	 * This is the default constructor
	 */
	public SettingSimulationPanel() {
		super();
		initialize();
	}
	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private  void initialize() {
		jLabel1 = new JLabel();
		jLabel = new JLabel();
		GridLayout gridLayout1 = new GridLayout();
		this.setLayout(gridLayout1);
		this.setSize(WINDOW_WIDTH,WINDOW_HEIGHT);
		gridLayout1.setRows(3);
		gridLayout1.setColumns(2);
		jLabel.setText(" Source 1");
		jLabel.setFont(new java.awt.Font("Dialog", java.awt.Font.PLAIN, 12));
		jLabel1.setText(" Source 2");
		jLabel1.setFont(new java.awt.Font("Dialog", java.awt.Font.PLAIN, 12));
		this.add(getJButton(), null);
		this.add(getJButton1(), null);
		this.add(jLabel, null);
		this.add(getJTextField(), null);
		this.add(jLabel1, null);
		this.add(getJTextField1(), null);
	}
	/**
	 * This method initializes jButton	
	 * 	
	 * @return javax.swing.JButton	
	 */    
	private JButton getJButton() {
		if (jButton == null) {
			jButton = new JButton();
			jButton.setText("Start");
			jButton.setFont(new java.awt.Font("Dialog", java.awt.Font.PLAIN, 12));
			jButton.addActionListener(new java.awt.event.ActionListener() { 
				public void actionPerformed(java.awt.event.ActionEvent e) {    
					new Thread(new FirstLevelInfoSimulator(mySrc,targetSrcList)).start();
				}
			});
			jButton.setText("Start");
			jButton.setFont(new java.awt.Font("Dialog", java.awt.Font.PLAIN, 12));
		}
		return jButton;
	}
	/**
	 * This method initializes jButton1	
	 * 	
	 * @return javax.swing.JButton	
	 */    
	private JButton getJButton1() {
		if (jButton1 == null) {
			jButton1 = new JButton();
			jButton1.setText("Road");
			jButton1.setFont(new java.awt.Font("Dialog", java.awt.Font.PLAIN, 12));
			jButton1.addActionListener(new java.awt.event.ActionListener() { 
				public void actionPerformed(java.awt.event.ActionEvent e) { 
					if (Viewer.getInstance().getViewMode() == ViewerUtilities.OWN_VIEW) {
						mySrc = jTextField.getText();
						targetSrc = jTextField.getText();
					} else {
						mySrc = jTextField.getText();
						targetSrcList.clear();
						targetSrc = jTextField1.getText();
						StringTokenizer st = new StringTokenizer(targetSrc, ",");
						for(int i = 0; st.hasMoreTokens() == true; i++) {
							targetSrcList.add(st.nextToken());
						}
					}
					
				}
			});
			jButton1.setText("Road");
			jButton1.setFont(new java.awt.Font("Dialog", java.awt.Font.PLAIN, 12));
		}
		return jButton1;
	}
	/**
	 * This method initializes jTextField	
	 * 	
	 * @return javax.swing.JTextField	
	 */    
	private JTextField getJTextField() {
		if (jTextField == null) {
			jTextField = new JTextField();
		}
		return jTextField;
	}
	/**
	 * This method initializes jTextField1	
	 * 	
	 * @return javax.swing.JTextField	
	 */    
	private JTextField getJTextField1() {
		if (jTextField1 == null) {
			jTextField1 = new JTextField();
		}
		return jTextField1;
	}
  }
