/*
 * Created on 2005/01/23
 *
 */
package test.core;

import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;

import jnet.hiromicam.core.FirstLevelInfoProcessor;
import jnet.hiromicam.properity.SystemProperty;
import jnet.hiromicam.util.file.GpsInfoLogger;

/**
 * @author Kazuya Sakai
 * @version 1.0
 * @since jdk 1.4.2
 */
public class FirstLevelInfoProcesserTest {

	public static void main(String[] args) throws IOException {
		BufferedReader reader =
				new BufferedReader(new FileReader("test/core/input.txt"));
		String buff;
		int cnt = 0;
		while ((buff = reader.readLine()) != null) {
			if(buff.startsWith("$GPGGA")){
				// processing GGA data
				System.out.println((FirstLevelInfoProcessor.processGpsInfo(buff)).getMsg());
				// log GPS information
				if (SystemProperty.getInstance().isGpsInfoLogger()) {
					GpsInfoLogger.getInstance().addGpsInfo(buff);
				}
			}
		}
		System.out.println(GpsInfoLogger.getInstance().toString());
		System.out.println("end");
	}
}
